Link an equipment to the order
https://carchost.fieldcontrol.com.br/orders/{id}/equipmentsLinks an equipment of the same customer to a work order. Returns the equipment.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredWork order identifier.
Example: NDJiMWQ0YzQtOWNmOC00NWE2LTg2MjItYjNjNzZjZjk0MmM4OjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
equipmentobjectrequiredFields of equipment
idstringrequiredEquipment identifier. The equipment must belong to the order's customer.
Responses
- 201
Equipment linked.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Resource not found. The response body is empty.
- 409
Equipment already linked to the order (resourceAlreadyExists).
- 422
Nonexistent equipment, from another customer (
reason: different customers) or invalid identifier (resourceValidationErr). Invalid order identifier: uriValidationErr. - 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.